aboutsummaryrefslogtreecommitdiffstats
path: root/testing/charybdis/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-22 06:14:23 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-22 06:14:23 +0000
commitef26de8b7f078fbff1ac0f640534522ea3fc4871 (patch)
tree90d9ad33f948d53cdef4c81abbb0c7dca81b33e1 /testing/charybdis/APKBUILD
parentea1d2187ea42928c1200d87ff6856e0107a70c99 (diff)
downloadaports-ef26de8b7f078fbff1ac0f640534522ea3fc4871.tar.gz
aports-ef26de8b7f078fbff1ac0f640534522ea3fc4871.tar.bz2
aports-ef26de8b7f078fbff1ac0f640534522ea3fc4871.tar.xz
testing/charybdis: new aport. Fixes Feature #1113
Diffstat (limited to 'testing/charybdis/APKBUILD')
-rw-r--r--testing/charybdis/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/charybdis/APKBUILD b/testing/charybdis/APKBUILD
new file mode 100644
index 0000000000..524b701c32
--- /dev/null
+++ b/testing/charybdis/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=charybdis
+pkgver=3.4.0
+pkgrel=0
+pkgdesc="A highly-scalable IRCv3-compliant IRC daemon"
+url="http://www.atheme.org/project/charybdis"
+arch="all"
+license="GPL2"
+pkgusers="ircd"
+depends=""
+depends_dev="bison flex openssl-dev zlib-dev libtool"
+makedepends="$depends_dev"
+install="$pkgname.pre-install"
+subpackages="$pkgname-dev $pkgname-doc"
+source="saveas-http://www.stack.nl/~jilles/irc/$pkgname-$pkgver.tbz2/$pkgname-$pkgver.tar.bz2
+ $pkgname.initd
+ $pkgname.confd"
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/charybdis \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib \
+ --disable-assert \
+ --enable-ssl \
+ --enable-ipv6 \
+ --with-rundir=/var/run \
+ --with-program-prefix=charybdis-
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ rm -f "$pkgdir"/usr/lib/*.la
+ install -m755 -D "$srcdir"/$pkgname.initd \
+ "$pkgdir"/etc/init.d/charybdis-ircd || return 1
+ install -m644 -D "$srcdir"/$pkgname.confd \
+ "$pkgdir"/etc/conf.d/charybdis-ircd || return 1
+ chown ircd "$pkgdir"/var/run/charybdis
+ chown ircd "$pkgdir"/var/log/charybdis
+ chown ircd "$pkgdir"/var/charybdis
+}
+
+md5sums="b31c126ae76938233d6a0a6d1123dce8 charybdis-3.4.0.tar.bz2
+b11b3bba9a61f2b288ad83b62dbb67bf charybdis.initd
+4bbd6b06a4389bd4826ab8ba7f76393a charybdis.confd"